# pedestal-inference

A collection of python tools for Bayesian analysis of plasma-edge Thomson-scattering data.

### Thomson-scattering synthetic diagnostic model
Pedestal-inference provides a model for polychromator-based Thomson-scattering systems
which predicts the expected profiles of spectral intensity in each wavelength band given
a pair of electron temperature and density profiles defined by one of the edge profile
models.


### Edge profile models
A collection of [edge profile models](https://pedestal-inference.readthedocs.io/en/latest/models.html)
are available, including the standard 'mtanh' model.


### Documentation
Package documentation is available at [pedestal-inference.readthedocs.io](https://pedestal-inference.readthedocs.io/en/latest/index.html)


### Installation
Pedestal-inference is available from [PyPI](https://pypi.org/project/pedestal-inference/), 
so can be easily installed using [pip](https://pip.pypa.io/en/stable/) as follows:
```bash
pip install pedestal-inference
```